class MetadataMappingsController < ApplicationController
  before_action :set_metadata_mapping, only: [:show, :edit, :update, :destroy]

  # GET /metadata_mappings
  # GET /metadata_mappings.json
  def index
    @metadata_mappings = MetadataMapping.all.order(organisation: :asc, server: :asc, input: :asc)
  end

  # GET /metadata_mappings/1
  # GET /metadata_mappings/1.json
  def show
  end

  # GET /metadata_mappings/new
  def new
    @metadata_mapping = MetadataMapping.new
  end

  # GET /metadata_mappings/1/edit
  def edit
  end

  # POST /metadata_mappings
  # POST /metadata_mappings.json
  def create
    @metadata_mapping = MetadataMapping.new(metadata_mapping_params)

    respond_to do |format|
      if @metadata_mapping.save
        format.html { redirect_to @metadata_mapping, notice: 'Metadata mapping was successfully created.' }
        format.json { render :show, status: :created, location: @metadata_mapping }
      else
        format.html { render :new }
        format.json { render json: @metadata_mapping.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /metadata_mappings/1
  # PATCH/PUT /metadata_mappings/1.json
  def update
    respond_to do |format|
      if @metadata_mapping.update(metadata_mapping_params)
        format.html { redirect_to @metadata_mapping, notice: 'Metadata mapping was successfully updated.' }
        format.json { render :show, status: :ok, location: @metadata_mapping }
      else
        format.html { render :edit }
        format.json { render json: @metadata_mapping.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /metadata_mappings/1
  # DELETE /metadata_mappings/1.json
  def destroy
    @metadata_mapping.destroy
    respond_to do |format|
      format.html { redirect_to metadata_mappings_url, notice: 'Metadata mapping was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_metadata_mapping
      @metadata_mapping = MetadataMapping.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def metadata_mapping_params
      params.require(:metadata_mapping).permit(:input, :server, :organisation)
    end
end
