class InMailbox < ApplicationMailbox
  def process
    email_importer = EmailImporter.new
    repository = EmailRepository.new
    rules_evaluator = RulesEvaluator.new

    email = email_importer.import(mail)

    email = rules_evaluator.evaluate(email, RuleSet.enabled)

    repository.save(email)
  end
end
